%global pkgrel 1
%global pkgver 1.5.0
%global gitrev 57236607

%global ver_path_seg %{pkgver}-%{pkgrel}

Summary:        IGVM Image Generator
Name:           msigvm
Version:        %{pkgver}
Release:        %{pkgrel}%{?dist}
License:        MIT
Vendor:         Microsoft Corporation
Distribution:   Mariner
Group:          Development/Libraries
URL:            https://github.com/microsoft/igvm-tooling
Source0:        msigvm-%{ver_path_seg}.tar.gz

BuildRequires:  python3
BuildRequires:  python3-pip
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel
BuildRequires:  python3-cached_property
BuildRequires:  python3-frozendict
BuildRequires:  python3-pyelftools
BuildRequires:  python3-ecdsa
BuildRequires:  python3-pytest
BuildRequires:  python3-libclang
BuildRequires:  python3-cstruct

Requires:       python3-libclang
Requires:       python3-cstruct
Requires:       acpica-tools
Requires:       clang
Requires:       python3
Requires:       python3-cached_property
Requires:       python3-frozendict
Requires:       python3-pyelftools
Requires:       python3-ecdsa

ExclusiveArch: x86_64

%description
IGVM Image Generator

%prep
# only packaged the src 
tar xf %{SOURCE0}

%install
python3 -m pip install %{SOURCE0} --root %{buildroot}
install -d -m 644 %{buildroot}/%{_datadir}/msigvm
cp -a %{name}-%{ver_path_seg}/igvm/acpi %{buildroot}/%{_datadir}/msigvm

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%{_bindir}/igvmgen
%{_datadir}/msigvm

%changelog

* Fri Jan 12 2024 Mahati Chamarthy <mahati.chamarthy@gmail.com> - 1.5.0
- Replaces ctypeslib2 with libclang to support cbl-mariner


